Package: org.apache.groovy.swing.binding

## [Java] Class AbstractFullBinding

- org.apache.groovy.swing.binding.AbstractFullBinding

- All Implemented Interfaces and Traits:
    FullBinding

      public abstract class AbstractFullBinding
      extends Object
      implements FullBinding

  Base implementation for FullBinding that handles validation and value conversion.

  Since:
    Groovy 1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Closure` | `converter` | Optional converter applied before writing to the target.
    `protected Closure` | `reverseConverter` | Optional converter applied before writing back to the source.
    `protected SourceBinding` | `sourceBinding` | The source side of the binding.
    `protected TargetBinding` | `targetBinding` | The target side of the binding.
    `protected Closure` | `validator` | Optional validator invoked before forward propagation.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Closure` | `getConverter()` Returns the forward converter.
    `` | `public Closure` | `getReverseConverter()` Returns the reverse converter.
    `` | `public SourceBinding` | `getSourceBinding()` Returns the current source binding.
    `` | `public TargetBinding` | `getTargetBinding()` Returns the current target binding.
    `` | `public Closure` | `getValidator()` Returns the validator invoked before forward propagation.
    `` | `public void` | `reverseUpdate()` Propagates the current target value back to the source.
    `` | `public void` | `setConverter(Closure converter)` Sets the forward converter.
    `` | `public void` | `setReverseConverter(Closure reverseConverter)` Sets the reverse converter.
    `` | `public void` | `setSourceBinding(SourceBinding sourceBinding)` Replaces the current source binding.
    `` | `public void` | `setTargetBinding(TargetBinding targetBinding)` Replaces the current target binding.
    `` | `public void` | `setValidator(Closure validator)` Sets the validator invoked before forward propagation.
    `` | `public void` | `update()` Propagates the current source value to the target.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Closure converter

      Optional converter applied before writing to the target.

    - #### protected Closure reverseConverter

      Optional converter applied before writing back to the source.

    - #### protected SourceBinding sourceBinding

      The source side of the binding.

    - #### protected TargetBinding targetBinding

      The target side of the binding.

    - #### protected Closure validator

      Optional validator invoked before forward propagation.

  - ### Method Detail

    - #### public Closure getConverter()

      Returns the forward converter.

      Returns:
        the converter closure, or `null`

    - #### public Closure getReverseConverter()

      Returns the reverse converter.

      Returns:
        the reverse converter, or `null`

    - #### public SourceBinding getSourceBinding()

      Returns the current source binding.

      Returns:
        the source binding

    - #### public TargetBinding getTargetBinding()

      Returns the current target binding.

      Returns:
        the target binding

    - #### public Closure getValidator()

      Returns the validator invoked before forward propagation.

      Returns:
        the validator closure, or `null`

    - #### public void reverseUpdate()

      Propagates the current target value back to the source.

    - #### public void setConverter(Closure converter)

      Sets the forward converter.

      Parameters:
        `converter` - the converter closure, or `null`

    - #### public void setReverseConverter(Closure reverseConverter)

      Sets the reverse converter.

      Parameters:
        `reverseConverter` - the reverse converter, or `null`

    - #### public void setSourceBinding(SourceBinding sourceBinding)

      Replaces the current source binding.

      Parameters:
        `sourceBinding` - the new source binding

    - #### public void setTargetBinding(TargetBinding targetBinding)

      Replaces the current target binding.

      Parameters:
        `targetBinding` - the new target binding

    - #### public void setValidator(Closure validator)

      Sets the validator invoked before forward propagation.

      Parameters:
        `validator` - the validator closure, or `null`

    - #### public void update()

      Propagates the current source value to the target.